# webhook

Set `webhook` property to `true` if you want your component to be a "webhook" type. That means that `context.getWebhookUrl()` method becomes available to you inside your component virtual methods (such as `receive()`). You can use this URL to send HTTP POST requests to. See the [Behaviour](/6.0/v4/component-definition/behaviour.md) section, especially the [`context.getWebhookUrl()`](/6.0/v4/component-definition/behaviour.md#context-getwebhookurl) for details and example.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.appmixer.com/6.0/v4/component-definition/manifest/webhook.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
